<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:fresco="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <include
        android:id="@+id/toolbar"
        layout="@layout/reuse_toolbar" />

    <LinearLayout
        android:id="@+id/container1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="80dp"
        android:orientation="horizontal"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/toolbar">

        <LinearLayout
            android:layout_width="104dp"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:layout_width="56dp"
                android:layout_height="56dp"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/logo" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="8dp"
                android:text="@string/app_name"
                android:textColor="@color/text_primary"
                android:textSize="14sp" />

        </LinearLayout>

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginTop="16dp"
            app:srcCompat="@drawable/ic_authorize" />

        <LinearLayout
            android:layout_width="104dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/authorizeAppIcon"
                android:layout_width="56dp"
                android:layout_height="56dp"
                fresco:placeholderImage="@drawable/occupy2" />

            <TextView
                android:id="@+id/authorizeAppName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="8dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="@color/text_primary"
                android:textSize="14sp"
                tools:text="@string/app_name" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/container2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="80dp"
        android:layout_marginRight="40dp"
        android:background="@drawable/bg_shape_f8_radius_12"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="16dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/container1">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/avatarView"
            style="@style/frescoStyle"
            android:layout_width="32dp"
            android:layout_height="32dp"
            app:placeholderImage="@drawable/personal_user_default_icon"
            app:roundAsCircle="true" />

        <TextView
            android:id="@+id/nicknameTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:ellipsize="end"
            android:lines="1"
            android:textColor="@color/title"
            android:textSize="16sp"
            android:textStyle="bold"
            tools:text="用户昵称" />

    </LinearLayout>


    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:text="该应用将访问您的公开资料，云存档数据"
        android:textColor="@color/text_secondary"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/container2"
        app:layout_constraintRight_toRightOf="@id/container2"
        app:layout_constraintTop_toBottomOf="@id/container2" />

    <TextView
        android:id="@+id/authorizeBtn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="40dp"
        android:background="@drawable/download_button_normal_style"
        android:gravity="center"
        android:paddingTop="12dp"
        android:paddingBottom="12dp"
        android:text="@string/button_sure_default"
        android:textColor="@color/white"
        android:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>